package com.tofly.base.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.base.entity.DataBack;

import java.util.Map;

public interface DataBackService extends IService<DataBack> {
		
	public Page<Map> getDataBackPage(Page page, DataBack dataBack);
	
	/**
	 *自动备份
	 */
	public void backUpMysqlAuto();
	
	/**
	 *人工备份
	 */
	public void backUpMysqlManual() throws Exception;

}
